package com.ruoyi.tc.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.tc.entity.po.AssetEmailCpPo;
import com.ruoyi.tc.entity.po.AssetEmailJyPo;
import com.ruoyi.tc.entity.request.AssetAuditPageRequest;
import org.apache.ibatis.annotations.Param;

/**
 * 电子邮件资产表(asset_email_cp)表数据库访问层
 * @author makejava
 * @since 2024-11-15 10:03:56
 */
public interface AssetEmailJyMapper extends BaseMapper<AssetEmailJyPo> {


    /**
     * 分页查询管理端或者单位端审核列表
     *
     * @param as 查询实体
     * @return 所有数据
     */
    Page<AssetEmailJyPo> getAuditList(Page<AssetEmailJyPo> page,@Param("req") AssetAuditPageRequest as);
}

