package com.ruoyi.tc.mapper.history;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.tc.entity.history.AssetOfficialAccountHistory;
import com.ruoyi.tc.entity.po.AssetOfficialAccountCpPo;
import com.ruoyi.tc.entity.request.AssetzcTjRequest;
import com.ruoyi.tc.entity.response.AssetzcTjResponse;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

import java.util.List;

/**
 * 公众号资产表(asset_official_account_history)表数据库访问层
 *
 * @author makejava
 * @since 2024-11-15 10:03:56
 */
public interface AssetOfficialAccountHistoryMapper extends BaseMapper<AssetOfficialAccountHistory> {


    /**
     * 公众号资产提交记录
     *
     * @param req
     * @return
     */
    @Select("select gzhmc as xtmc,update_time as updateTime,status,account_id as id from  asset_official_account_history where task_id= #{req.taskId} and asset_id =#{req.assetId} and status!=0")
    List<AssetzcTjResponse> findByTaskIdandAssetId(@Param("req") AssetzcTjRequest req);
}

