package com.ruoyi.tc.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.tc.entity.po.AssetBusinessFormCpPo;
import com.ruoyi.tc.mapper.AssetBusinessFormCpMapper;
import com.ruoyi.tc.service.AssetBusinessFormCpService;
import org.springframework.stereotype.Service;

import java.util.List;
import javax.annotation.Resource;

/**
 * 资产新监管业务形态复制(AssetBusinessFormCp)表服务实现类
 *
 * @author makejava
 * @since 2024-11-15 16:06:53
 */
@Service("assetBusinessFormCpService")
public class AssetBusinessFormCpServiceImpl extends ServiceImpl<AssetBusinessFormCpMapper, AssetBusinessFormCpPo> implements AssetBusinessFormCpService {

    @Resource
    private AssetBusinessFormCpMapper assetBusinessFormCpMapper;

    @Override
    public List<AssetBusinessFormCpPo> findByassetId(String taskId) {
        return assetBusinessFormCpMapper.findByassetId(taskId);
    }

    @Override
    public void deletByAssetIdandTaskId(Long assetId, Integer taskId) {
         assetBusinessFormCpMapper.deletByAssetIdandTaskId(assetId,taskId);
    }

    @Override
    public void deletByAssetId(Long assetId) {
        assetBusinessFormCpMapper.deletByAssetId(assetId);
    }

    @Override
    public  AssetBusinessFormCpPo  findByTaskId(int assetId,int taskId) {
        return assetBusinessFormCpMapper.findByTaskId(assetId,taskId);
    }
}

