package com.ruoyi.tc.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.tc.entity.AssetCurrent;
import com.ruoyi.tc.entity.po.AssetCurrentCpPo;
import com.ruoyi.tc.entity.request.AssetAuditPageRequest;
import com.ruoyi.tc.mapper.AssetCurrentCpMapper;
import com.ruoyi.tc.service.*;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 现有资产复制表(AssetCurrentResponse)表服务实现类
 *
 * @author makejava
 * @since 2024-11-15 10:04:03
 */
@Service("assetCurrentCpService")
public class AssetCurrentCpServiceImpl extends ServiceImpl<AssetCurrentCpMapper, AssetCurrentCpPo> implements AssetCurrentCpService {

    @Resource
    private  AssetCurrentCpMapper assetCurrentCpMapper;


    @Override
    public void deletByAssetIdandTaskId(Long assetId,Integer taskId) {
        assetCurrentCpMapper.deletByAssetIdandTaskId(assetId,taskId);
    }

    @Override
    public AssetCurrentCpPo findByTaskId(int assetId,int taskId) {
        return assetCurrentCpMapper.findByTaskId(assetId,taskId);
    }

    @Override
    public void updateByAssetId(Integer assetId, Integer taskId, String btgyy,Integer newThcs) {
        assetCurrentCpMapper.updateByAssetId(assetId,taskId,btgyy,newThcs);
    }

    @Override
    public AssetCurrentCpPo findByassetIdandTaskId(Integer assetId, Integer taskId) {
        return assetCurrentCpMapper.findByassetIdandTaskId(assetId,taskId);
    }


    @Override
    public  List<AssetCurrentCpPo> findDwmc(Long id) {
        return baseMapper.findDwmc(id);
    }

    @Override
    public void deletByAssetId(Long assetId) {
         baseMapper.deletByAssetId(assetId);
    }
    @Override
    public void deleteIdList(Long id) {
        baseMapper.deleteIdList(id);
    }

}

