package com.ruoyi.tc.entity.response;

import com.ruoyi.tc.entity.history.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author dong
 * @since 2025/1/14 10:58
 */
@Data
@ApiModel("历史详情信息")
public class AssetHistoryResponse {


    @ApiModelProperty("APP历史详情")
    private AssetAppHistory assetAppHistory;


    @ApiModelProperty("web历史详情")
    private AssetCurrentHistory assetCurrentHistory;


    @ApiModelProperty("gzh历史详情")
    private AssetOfficialAccountHistory assetOfficialAccountHistory;


    @ApiModelProperty("小程序历史详情")
    private AssetMiniProgramsHistory assetMiniProgramsHistory;


    @ApiModelProperty("邮件历史详情")
    private AssetEmailHistory assetEmailHistory;
}
