package com.ruoyi.tc.mapper.history;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.tc.entity.history.AssetCurrentHistory;
import com.ruoyi.tc.entity.request.AssetzcTjRequest;
import com.ruoyi.tc.entity.response.AssetzcTjResponse;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 现有资产复制表(asset_current_history)表数据库访问层
 *
 * @author makejava
 * @since 2024-11-15 10:03:56
 */
public interface AssetCurrentHistoryMapper extends BaseMapper<AssetCurrentHistory> {



    /**
     * web资产提交记录
     *
     * @param req
     * @return
     */
    @Select("select xtmc,update_time  as updateTime,status,current_id as id from asset_current_history   where task_id= #{req.taskId} and id =#{req.assetId} and status!=0")
    List<AssetzcTjResponse> findByTaskIdandAssetId(@Param("req") AssetzcTjRequest req);
}

