package com.ruoyi.tc.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.tc.entity.po.AssetBasicNetworkCpPo;
import com.ruoyi.tc.entity.po.AssetSupplyChainCpPo;
import com.ruoyi.tc.mapper.AssetSupplyChainCpMapper;
import com.ruoyi.tc.service.AssetSupplyChainCpService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 资产供应链信息表复制(AssetSupplyChainCpResponse)表服务实现类
 *
 * @author makejava
 * @since 2024-11-15 16:07:30
 */
@Service("assetSupplyChainCpService")
public class AssetSupplyChainCpServiceImpl extends ServiceImpl<AssetSupplyChainCpMapper, AssetSupplyChainCpPo> implements AssetSupplyChainCpService {

   @Resource
   private  AssetSupplyChainCpMapper assetSupplyChainCpMapper;
    @Override
        public  List<AssetSupplyChainCpPo> findByassetId(String taskId) {
        return assetSupplyChainCpMapper.findByassetId(taskId);
    }

    @Override
    public  List<AssetSupplyChainCpPo> findByTaskId(int assetId,int taskId) {
        return assetSupplyChainCpMapper.findByTaskId(assetId,taskId);
    }

    @Override
    public void deletByAssetIdandTaskId(Long assetId, Integer taskId) {
        assetSupplyChainCpMapper.deletByAssetIdandTaskId(assetId,taskId);
    }

    @Override
    public void deletByAssetId(Long assetId) {
        assetSupplyChainCpMapper.deletByAssetId(assetId);
    }
}
